CentOS 6 glibc升级到2.15

CentOS6.X默认的glibc版本最高为2.12,但实际应用中,许多项目所依赖的包往往需要更高版本的glibc库支持。

方法一

适用于CentOS 6 x64:

准备工作

1、升级系统

2、安装kernel-headers

3、安装gcc

4、更新glibc list

升级glibc 版本,把下面的代码复制到linux中运行

首先是一些关键包,nscd可以不要,但为了防止个别使用了nscd的,所以顺便更新了。

这个时候,便已将glibc更新到2.15版本。

64位下,经常同时安装了x86_64和i686版本的glibc,升级需要先卸载i686版本,然后执行更新,再重新安装i686版本(部分程序在编译需要32位的库)。

查看系统glibc版本可使用如下命令:

详细glibc支持可以用以下命令查看:

《CentOS 6 glibc升级到2.15》

方法二

准备工作如方法一,不再重复。

rpm包下载完成后执行以下命令

《CentOS 6 glibc升级到2.15》

 

本文部分代码参考自:kn007博客

点赞

发表评论

电子邮件地址不会被公开。 必填项已用*标注